Page MenuHomePhabricator

Allow variable names to be quoted with -var-list-children
ClosedPublic

Authored by ChuckR on Dec 2 2015, 4:24 PM.

Details

Summary

allow '-var-list-children var0' and -var-list-children "var0"' to be used with the -var-list-children command. GDB MI allows for this and it is necessary if the variable name contains spaces, such as var5.std::_Vector_base<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >.

Diff Detail

Repository
rL LLVM

Event Timeline

ChuckR updated this revision to Diff 41691.Dec 2 2015, 4:24 PM
ChuckR retitled this revision from to Allow variable names to be quoted with -var-list-children.
ChuckR updated this object.
ChuckR added reviewers: abidh, ki.stfu, paulmaybee.
ki.stfu accepted this revision.Dec 2 2015, 10:18 PM
ki.stfu edited edge metadata.

lgtm

This revision is now accepted and ready to land.Dec 2 2015, 10:18 PM

Thanks! Can you or somebody with commit access check this in for me?

Can you check this in for me?

zturner edited edge metadata.Dec 4 2015, 3:02 PM

Yea, I can. Do you not have commit access? You should email Chris Lattner and request it, turnaround time is pretty quick.

ChuckR added a comment.Dec 4 2015, 4:33 PM

I requested it, thanks for the heads up!

ChuckR added a comment.Dec 4 2015, 5:14 PM

@zturner I have been granted commit after approval from Chris. How do I commit from here?

You'll probably want to read this:
http://llvm.org/docs/GettingStarted.html#for-developers-to-work-with-git-svn

Try a test commit first (fix a typo or add a comment). If you have
specific problems with the test commit them post back and I can try to help.

abidh accepted this revision.Dec 7 2015, 3:57 AM
abidh edited edge metadata.

@zturner I successfully submitted my test commit from an svn working copy. My former workflow was to use the read only git mirror, generate a diff, and submit it through this tool. Is there a better way to use differential so that I can submit directly via an approved code review?

You can't submit directly from a code review. You always have to submit via git svn dcommit. If you edit your commit message (e.g. with git commit --amend) you can add a line at the bottom that says

Differential Revision: http://reviews.llvm.org/D15168

Then when you dcommit it, Phabricator should automatically close the revision for you. But there's no way to submit from Phabricator.

Ok, thanks.

This revision was automatically updated to reflect the committed changes.